Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.accounting
Class AccountValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.axiom.accounting.AccountValue

Direct Known Subclasses:
  InventoryRecordValue

public class AccountValue
extends SmartValue

An Account stores a collection of balances and a transaction history. The balances are stored in terms of a set of named Quantities. A `Quantity` is described in terms of Units. Because of this an account can be used to describe any thing from cash value to an inventory of items. The transaction history is a list of account entries, Each `AccountEntry` records an addition or subtraction from that account. Special business logic can be tied to instances of an account using a `PostingRule`.

See Also:
  `Account`, `AccountHome`, `Account.getAccountByValue()`, `Account.setAccountByValue(AccountValue)`, Serialized Form

Field Summary
`com.sun.java.util.collections.LinkedList` | `accountEntries` accountEntry (List) [Account] <>------> [`theory.smart.axiom.accounting.AccountEntry`] 0..*
`com.sun.java.util.collections.TreeMap` | `balances` balance (Map) [Account] <*>------> [`theory.smart.axiom.units.Quantity`] 0..*
`com.sun.java.util.collections.TreeMap` | `chargeds` charged (Map) [Account] <*>------> [`theory.smart.axiom.units.Quantity`] 0..*
`java.lang.String` | `identifier` identifier [Account] <*>------> [`String`] (Primary Key)

Constructor Summary
`protected` | `AccountValue()` Only get/setAccountByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    public java.lang.String identifier

                        identifier
       [Account] <*>------> [String] (Primary Key)

### chargeds

    public com.sun.java.util.collections.TreeMap chargeds

                        charged (Map)
       [Account] <*>------> [theory.smart.axiom.units.Quantity]
                           0..*

### accountEntries

    public com.sun.java.util.collections.LinkedList accountEntries

                        accountEntry (List)
       [Account] <>------> [theory.smart.axiom.accounting.AccountEntry]
                           0..*

### balances

    public com.sun.java.util.collections.TreeMap balances

                        balance (Map)
       [Account] <*>------> [theory.smart.axiom.units.Quantity]
                           0..*

Constructor Detail

### AccountValue

    protected AccountValue()

  Only get/setAccountByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.